----------------------------------------------------------------------------
--
--  File     :  /cdimage/units/UAB2108/UAB2108_script.lua
--  Author(s):  John Comes, David Tomandl
--
--  Summary  :  Aeon Tactical Missile Launcher Script
--
--  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
----------------------------------------------------------------------------

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
local ACruiseMissileWeapon = import('/lua/aeonweapons.lua').ACruiseMissileWeapon
local CheckTacticalThread = import('/Mods/SmartTacticalMissiles/lua/Tactical.lua').CheckTacticalThread

UAB2108 = Class(AStructureUnit) {
    Weapons = {
        CruiseMissile = Class(ACruiseMissileWeapon) {},
    },

    OnStopBeingBuilt = function(self,builder,layer)
        AStructureUnit.OnStopBeingBuilt(self,builder,layer)
        if self:GetAIBrain().BrainType == 'Human' then
            self.Trash:Add(self:ForkThread(CheckTacticalThread))
        end
    end,

}
TypeClass = UAB2108
