----------------------------------------------------------------------------
--
--  File     :  /cdimage/units/UEB2108/UEB2108_script.lua
--  Author(s):  John Comes, David Tomandl, Jessica St. Croix
--
--  Summary  :  UEF Tactical Cruise Missile Launcher Script
--
--  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
----------------------------------------------------------------------------
local TStructureUnit = import('/lua/terranunits.lua').TStructureUnit
local TIFCruiseMissileLauncher = import('/lua/terranweapons.lua').TIFCruiseMissileLauncher
local EffectTemplate = import('/lua/EffectTemplates.lua')
local CheckTacticalThread = import('/Mods/SmartTacticalMissiles/lua/Tactical.lua').CheckTacticalThread

UEB2108 = Class(TStructureUnit) {
    Weapons = {
        CruiseMissile = Class(TIFCruiseMissileLauncher) {
            FxMuzzleFlash = EffectTemplate.TIFCruiseMissileLaunchBuilding,
        },

    },
    
    OnStopBeingBuilt = function(self,builder,layer)
        TStructureUnit.OnStopBeingBuilt(self,builder,layer)
        if self:GetAIBrain().BrainType == 'Human' then
            self.Trash:Add(self:ForkThread(CheckTacticalThread))
        end
    end,

}
TypeClass = UEB2108