----------------------------------------------------------------------------
--
--  File     :  /cdimage/units/URB2108/URB2108_script.lua
--  Author(s):  John Comes, David Tomandl, Jessica St. Croix
--
--  Summary  :  Cybran Tactical Missile Launcher Script
--
--  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
----------------------------------------------------------------------------

local CStructureUnit = import('/lua/cybranunits.lua').CStructureUnit
local CIFMissileLoaTacticalWeapon = import('/lua/cybranweapons.lua').CIFMissileLoaTacticalWeapon
local CheckTacticalThread = import('/Mods/SmartTacticalMissiles/lua/Tactical.lua').CheckTacticalThread

URB2108 = Class(CStructureUnit) {
    Weapons = {
        CruiseMissile = Class(CIFMissileLoaTacticalWeapon) {},
    },

    OnStopBeingBuilt = function(self,builder,layer)
        CStructureUnit.OnStopBeingBuilt(self,builder,layer)
        if self:GetAIBrain().BrainType == 'Human' then
            self.Trash:Add(self:ForkThread(CheckTacticalThread))
        end
    end,

}
TypeClass = URB2108