-- T2 TML

local NStructureUnit = import('/lua/nomadsunits.lua').NStructureUnit
local TacticalMissileWeapon1 = import('/lua/nomadsweapons.lua').TacticalMissileWeapon2
local EffectTemplate = import('/lua/EffectTemplates.lua')
local CheckTacticalThread = import('/Mods/SmartTacticalMissiles/lua/Tactical.lua').CheckTacticalThread

XNB2208 = Class(NStructureUnit) {
    Weapons = {
        CruiseMissile = Class(TacticalMissileWeapon1) {
            FxMuzzleFlash = EffectTemplate.TIFCruiseMissileLaunchBuilding,
        },
    },

    OnStartBeingBuilt = function(self, builder, layer)
        local bp = self:GetBlueprint()
        if bp.Display.AnimationPermOpenAlt then
            self.PermOpenAnimManipulator = CreateAnimator(self):PlayAnim(bp.Display.AnimationPermOpenAlt):SetRate(0)
            self.Trash:Add(self.PermOpenAnimManipulator)
        end
        NStructureUnit.OnStartBeingBuilt(self, builder, layer)
    end,

    OnStopBeingBuilt = function(self, builder, layer)
        if self.PermOpenAnimManipulator then
            self.PermOpenAnimManipulator:SetRate(1)
        end
        NStructureUnit.OnStopBeingBuilt(self, builder, layer)
        if self:GetAIBrain().BrainType == 'Human' then
            self.Trash:Add(self:ForkThread(CheckTacticalThread))
        end
    end,
}

TypeClass = XNB2208