----------------------------------------------------------------------------
--
--  File     :  /cdimage/units/UAB2108/UAB2108_script.lua
--  Author(s):  Greg Kohne, Aaron Lundquist
--
--  Summary  :  Seraphim Tactical Missile Launcher Script
--
--  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
----------------------------------------------------------------------------

local SStructureUnit = import('/lua/seraphimunits.lua').SStructureUnit
local SLaanseMissileWeapon = import('/lua/seraphimweapons.lua').SLaanseMissileWeapon
local CheckTacticalThread = import('/Mods/SmartTacticalMissiles/lua/Tactical.lua').CheckTacticalThread

XSB2108 = Class(SStructureUnit) {
    Weapons = {
        CruiseMissile = Class(SLaanseMissileWeapon) {},
    },

    OnStopBeingBuilt = function(self,builder,layer)
        SStructureUnit.OnStopBeingBuilt(self,builder,layer)
        if self:GetAIBrain().BrainType == 'Human' then
            self.Trash:Add(self:ForkThread(CheckTacticalThread))
        end
    end,
    
}
TypeClass = XSB2108
